#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 crypton-conduit
version:              0.2.3
visibility:           public
id:                   crypton-conduit-0.2.3-6DoRjSqpUVeLLUrrNzc8Xk
key:                  crypton-conduit-0.2.3-6DoRjSqpUVeLLUrrNzc8Xk
license:              BSD-3-Clause
copyright:            Vincent Hanquez <vincent@snarc.org>
maintainer:           Sibi Prabakaran <sibi@psibi.in>
author:               Vincent Hanquez <vincent@snarc.org>
stability:            experimental
homepage:             https://github.com/psibi/crypton-conduit
synopsis:             crypton conduit
description:
    Conduit bridge for crypton

    For now only provide a conduit version for hash and hmac, but
    with contribution, this could provide cipher conduits too,
    and probably other things.

category:             Cryptography, Conduit
abi:                  02376df94bd721a7de8e2c39366402c4
exposed:              True
exposed-modules:
    Crypto.Cipher.ChaChaPoly1305.Conduit Crypto.Hash.Conduit
    Crypto.MAC.HMAC.Conduit Crypto.PubKey.ECIES.Conduit

import-dirs:          /usr/lib/ghc-9.0.2/site-local/crypton-conduit-0.2.3
library-dirs:         /usr/lib/ghc-9.0.2/site-local/crypton-conduit-0.2.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-crypton-conduit
hs-libraries:         HScrypton-conduit-0.2.3-6DoRjSqpUVeLLUrrNzc8Xk
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    conduit-1.3.5-BMh3iHHTI0gHt0Dylehz6l
    conduit-extra-1.3.6-Ld5uu9rG7X59IRg7xK26Xx
    crypton-0.34-2c4bKUpClyrDj0Rhtn4YTn exceptions-0.10.4
    memory-0.17.0-Ba80JGdi30PBt5EgUiQ1Tu
    resourcet-1.2.6-AxGnFNcJUU7HubtKqXQpkz transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-crypton-conduit/html/crypton-conduit.haddock

haddock-html:         /usr/share/doc/haskell-crypton-conduit/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

